package com.njzscloud.common.security.module.password;

import com.njzscloud.common.security.contant.AuthWay;
import com.njzscloud.common.security.support.LoginForm;
import lombok.Getter;
import lombok.Setter;

/**
 * 登录参数
 */
@Getter
@Setter
public class PasswordLoginForm extends LoginForm {
    /**
     * 登录账号
     */
    private String account;

    /**
     * 登录密码
     */
    private String secret;

    /**
     * 验证码
     */
    private String captcha;

    /**
     * 获取验证码时使用的 uid
     */
    private String captchaId;

    public PasswordLoginForm() {
        super(AuthWay.PASSWORD);
    }

    @Override
    public String getName() {
        return account;
    }
}
